<!-- Appel aux librairie JS three.js -->
<script src="<?php echo $request->getBaseUrl(); ?>/js/three/three.min.js"></script>

<script src="<?php echo $request->getBaseUrl(); ?>/js/three/loaders/DDSLoader.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/three/loaders/MTLLoader.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/three/loaders/OBJMTLLoader.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/three/Detector.js"></script>
<script src="<?php echo $request->getBaseUrl(); ?>/js/three/libs/stats.min.js"></script>

<div id="visu_obj"></div>

<script>

	var container, stats;

	var camera, scene, renderer;

	var mouseX = 0, mouseY = 0;

	var windowHalfX = window.innerWidth / 2;
	var windowHalfY = window.innerHeight / 2;


	init();
	animate();


	function init() {

		container = document.getElementById('visu_obj');
    // container = document.createElement( 'div' );
		document.body.appendChild( container );

		camera = new THREE.PerspectiveCamera( 45, window.innerWidth / window.innerHeight, 1, 2000 );
		camera.position.z = 100;

		// scene

		scene = new THREE.Scene();

		var ambient = new THREE.AmbientLight( 0x444444 );
		scene.add( ambient );

		var directionalLight = new THREE.DirectionalLight( 0xffeedd );
		directionalLight.position.set( 0, 0, 1 ).normalize();
		scene.add( directionalLight );

		// model

		var onProgress = function ( xhr ) {
			if ( xhr.lengthComputable ) {
				var percentComplete = xhr.loaded / xhr.total * 100;
				console.log( Math.round(percentComplete, 2) + '% downloaded' );
			}
		};

		var onError = function ( xhr ) {
		};


		THREE.Loader.Handlers.add( /\.dds$/i, new THREE.DDSLoader() );

		var loader = new THREE.OBJMTLLoader();
		loader.load( 
      '<?php echo $request->getBaseUrl(); ?>/images/sitefouille/<?php echo $nomabrege ; ?>/FourV3OBJ.obj', 
      '<?php echo $request->getBaseUrl() ; ?>/images/sitefouille/<?php echo $nomabrege ; ?>/FourV3OBJ.mtl', 
      function ( object ) {

			object.position.y = 0;
			scene.add( object );

		}, onProgress, onError );

		//

		renderer = new THREE.WebGLRenderer();
		renderer.setPixelRatio( window.devicePixelRatio );
		renderer.setSize( window.innerWidth, window.innerHeight );
		container.appendChild( renderer.domElement );

		document.addEventListener( 'mousemove', onDocumentMouseMove, true );

		//

		window.addEventListener( 'resize', onWindowResize, true  );

	}

	function onWindowResize() {

		windowHalfX = window.innerWidth / 2;
		windowHalfY = window.innerHeight / 2;

		camera.aspect = window.innerWidth / window.innerHeight;
		camera.updateProjectionMatrix();

		renderer.setSize( window.innerWidth, window.innerHeight );

	}

	function onDocumentMouseMove( event ) {

		mouseX = ( event.clientX - windowHalfX ) / 2;
		mouseY = ( event.clientY - windowHalfY ) / 2;

	}

	//

	function animate() {

		requestAnimationFrame( animate );
		render();

	}

	function render() {

		camera.position.x += ( mouseX - camera.position.x ) * .05;
		camera.position.y += ( mouseY - camera.position.y ) * .05;

		camera.lookAt( scene.position );

		renderer.render( scene, camera );

	}

</script>

<?php 
  // $this->getLayout()->setEnabled(true);
  
?>